--- libaudiofile/g711.c
+++ libaudiofile/g711.c
@@ -81,10 +81,7 @@
 			    0xFFF, 0x1FFF, 0x3FFF, 0x7FFF};
 
 static int
-search(val, table, size)
-	int		val;
-	short		*table;
-	int		size;
+search(int val, short int *table, int size)
 {
 	int		i;
 
@@ -115,8 +112,8 @@
  * John Wiley & Sons, pps 98-111 and 472-476.
  */
 unsigned char
-_af_linear2alaw(pcm_val)
-	int		pcm_val;	/* 2's complement (16-bit range) */
+_af_linear2alaw(int pcm_val)
+                                       /* 2's complement (16-bit range) */
 {
 	int		mask;
 	int		seg;
@@ -151,8 +148,7 @@
  *
  */
 int
-_af_alaw2linear(a_val)
-	unsigned char	a_val;
+_af_alaw2linear(unsigned char a_val)
 {
 	int		t;
 	int		seg;
@@ -269,8 +265,7 @@
 
 /* A-law to u-law conversion */
 static unsigned char
-alaw2ulaw(aval)
-	unsigned char	aval;
+alaw2ulaw(unsigned char aval)
 {
 	aval &= 0xff;
 	return ((aval & 0x80) ? (0xFF ^ _a2u[aval ^ 0xD5]) :
@@ -279,8 +274,7 @@
 
 /* u-law to A-law conversion */
 static unsigned char
-ulaw2alaw(uval)
-	unsigned char	uval;
+ulaw2alaw(unsigned char uval)
 {
 	uval &= 0xff;
 	return ((uval & 0x80) ? (0xD5 ^ (_u2a[0xFF ^ uval] - 1)) :
